Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux,v
diff -u -p -a -u -p -r1.20 config.sh-arm-linux
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux	26 Dec 2025 22:14:13 -0000	1.20
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux	29 Mar 2026 16:31:42 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='42'
 api_versionstring='5.42.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.42.0/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.42.0/armv4l-linux'
+archlib='/usr/lib/perl5/5.42.2/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.42.2/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -55,7 +55,7 @@ castflags='0'
 cat='cat'
 cc='cc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.42.0/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.42.2/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -839,7 +839,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.42.0/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.42.2/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -847,13 +847,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.42.0'
+installprivlib='./install_me_here/usr/lib/perl5/5.42.2'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.42.0/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.42.2/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.42.0'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.42.2'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -990,8 +990,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.42.0'
-privlibexp='/usr/lib/perl5/5.42.0'
+privlib='/usr/lib/perl5/5.42.2'
+privlibexp='/usr/lib/perl5/5.42.2'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1056,17 +1056,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.42.0/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.42.0/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.42.2/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.42.2/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.42.0'
+sitelib='/usr/lib/perl5/site_perl/5.42.2'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.42.0'
+sitelibexp='/usr/lib/perl5/site_perl/5.42.2'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1107,7 +1107,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='0'
+subversion='2'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1202,8 +1202,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.42.0'
-version_patchlevel_string='version 42 subversion 0'
+version='5.42.2'
+version_patchlevel_string='version 42 subversion 2'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1218,7 +1218,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=42
-PERL_SUBVERSION=0
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=42
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770,v
diff -u -p -a -u -p -r1.17 config.sh-arm-linux-n770
--- gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	26 Dec 2025 22:14:13 -0000	1.17
+++ gnu/usr.bin/perl/Cross/config.sh-arm-linux-n770	29 Mar 2026 16:31:42 -0000
@@ -35,8 +35,8 @@ api_subversion='0'
 api_version='42'
 api_versionstring='5.42.0'
 ar='ar'
-archlib='/usr/lib/perl5/5.42.0/armv4l-linux'
-archlibexp='/usr/lib/perl5/5.42.0/armv4l-linux'
+archlib='/usr/lib/perl5/5.42.2/armv4l-linux'
+archlibexp='/usr/lib/perl5/5.42.2/armv4l-linux'
 archname64=''
 archname='armv4l-linux'
 archobjs=''
@@ -54,7 +54,7 @@ castflags='0'
 cat='cat'
 cc='arm-none-linux-gnueabi-gcc'
 cccdlflags='-fpic'
-ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.42.0/armv4l-linux/CORE'
+ccdlflags='-rdynamic -Wl,-rpath,/usr/lib/perl5/5.42.2/armv4l-linux/CORE'
 ccflags='-fno-strict-aliasing -I/usr/local/include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccflags_uselargefiles='-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64'
 ccname='arm-linux-gcc'
@@ -837,7 +837,7 @@ inc_version_list=' '
 inc_version_list_init='0'
 incpath=''
 inews=''
-installarchlib='./install_me_here/usr/lib/perl5/5.42.0/armv4l-linux'
+installarchlib='./install_me_here/usr/lib/perl5/5.42.2/armv4l-linux'
 installbin='./install_me_here/usr/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -845,13 +845,13 @@ installman1dir='./install_me_here/usr/sh
 installman3dir='./install_me_here/usr/share/man/man3'
 installprefix='./install_me_here/usr'
 installprefixexp='./install_me_here/usr'
-installprivlib='./install_me_here/usr/lib/perl5/5.42.0'
+installprivlib='./install_me_here/usr/lib/perl5/5.42.2'
 installscript='./install_me_here/usr/bin'
-installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.42.0/armv4l-linux'
+installsitearch='./install_me_here/usr/lib/perl5/site_perl/5.42.2/armv4l-linux'
 installsitebin='./install_me_here/usr/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.42.0'
+installsitelib='./install_me_here/usr/lib/perl5/site_perl/5.42.2'
 installsiteman1dir='./install_me_here/usr/share/man/man1'
 installsiteman3dir='./install_me_here/usr/share/man/man3'
 installsitescript='./install_me_here/usr/bin'
@@ -988,8 +988,8 @@ pmake=''
 pr=''
 prefix='/usr'
 prefixexp='/usr'
-privlib='/usr/lib/perl5/5.42.0'
-privlibexp='/usr/lib/perl5/5.42.0'
+privlib='/usr/lib/perl5/5.42.2'
+privlibexp='/usr/lib/perl5/5.42.2'
 procselfexe='"/proc/self/exe"'
 prototype='define'
 ptrsize='4'
@@ -1054,17 +1054,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 6, 17, 29, 31, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/usr/lib/perl5/site_perl/5.42.0/armv4l-linux'
-sitearchexp='/usr/lib/perl5/site_perl/5.42.0/armv4l-linux'
+sitearch='/usr/lib/perl5/site_perl/5.42.2/armv4l-linux'
+sitearchexp='/usr/lib/perl5/site_perl/5.42.2/armv4l-linux'
 sitebin='/usr/bin'
 sitebinexp='/usr/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/usr/lib/perl5/site_perl/5.42.0'
+sitelib='/usr/lib/perl5/site_perl/5.42.2'
 sitelib_stem='/usr/lib/perl5/site_perl'
-sitelibexp='/usr/lib/perl5/site_perl/5.42.0'
+sitelibexp='/usr/lib/perl5/site_perl/5.42.2'
 siteman1dir='/usr/share/man/man1'
 siteman1direxp='/usr/share/man/man1'
 siteman3dir='/usr/share/man/man3'
@@ -1105,7 +1105,7 @@ stdio_stream_array=''
 strerror_r_proto='0'
 strings='/usr/include/string.h'
 submit=''
-subversion='0'
+subversion='2'
 sysman='/usr/share/man/man1'
 tail=''
 tar=''
@@ -1200,8 +1200,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.42.0'
-version_patchlevel_string='version 42 subversion 0'
+version='5.42.2'
+version_patchlevel_string='version 42 subversion 2'
 versiononly='undef'
 vi=''
 xlibpth='/usr/lib/386 /lib/386'
@@ -1216,7 +1216,7 @@ config_args=''
 config_argc=0
 PERL_REVISION=5
 PERL_VERSION=42
-PERL_SUBVERSION=0
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=42
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/Glossary
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/Glossary,v
diff -u -p -a -u -p -r1.22 Glossary
--- gnu/usr.bin/perl/Porting/Glossary	26 Dec 2025 22:14:13 -0000	1.22
+++ gnu/usr.bin/perl/Porting/Glossary	29 Mar 2026 16:31:42 -0000
@@ -4708,12 +4708,27 @@ perl_lc_all_category_positions_init (dis
 	setlocale(LC_ALL, NULL) when not all categories are the same, on
 	systems that use a positional notation.  After element [0] is
 	$lc_all_separator_init, then the category given by element [1], and so on.
+	For example, at the time this was written, the value in config.sh for
+	FreeBSD boxes is:
+            perl_lc_all_category_positions_init='{ 1, 2, 3, 4, 5, 6 }'
+	And the result of running this program
+            LC_ALL=C ./perl -Ilib -MPOSIX                               \
+                            -le 'setlocale(LC_MONETARY, "fr_FR.UTF-8"); \
+                                 print setlocale(LC_ALL)'
+	is
+            C/C/fr_FR.UTF-8/C/C/C
+	This shows that the LC_MONETARY category on FreeBSD occupies the third
+	position in the string returned by querying LC_ALL.  (See
+	perl_lc_all_separator for the source of the forward slash.)
 
 perl_lc_all_separator (disparate_lc_all.U):
-	This symbol, when defined, gives the substring used to separate
-	categories in the aggregated string returned by setlocale(LC_ALL, NULL)
-	when not all categories are in the same locale.  This is for systems
-	that use a positional notation as opposed to 'name=value' pairs.
+	This symbol, when defined, gives the substring, enclosed in double
+	quotes, used to separate categories in the aggregated string returned
+	by setlocale(LC_ALL, NULL) when not all categories are in the same
+	locale.  This is for systems that use a positional notation as opposed
+	to 'name=value' pairs.  For example, at the time this was written, the
+	value in config.sh for FreeBSD boxes is:
+            perl_lc_all_separator='"/"'
 
 PERL_PATCHLEVEL (Oldsyms.U):
 	This symbol reflects the patchlevel, if available. Will usually
Index: gnu/usr.bin/perl/Porting/Maintainers.pl
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/Maintainers.pl,v
diff -u -p -a -u -p -r1.30 Maintainers.pl
--- gnu/usr.bin/perl/Porting/Maintainers.pl	26 Dec 2025 22:15:22 -0000	1.30
+++ gnu/usr.bin/perl/Porting/Maintainers.pl	29 Mar 2026 16:31:42 -0000
@@ -231,8 +231,8 @@ our %Modules = (
     },
 
     'Compress::Raw::Zlib' => {
-        'DISTRIBUTION' => 'PMQS/Compress-Raw-Zlib-2.213.tar.gz',
-        'SYNCINFO'     => 'jkeenan on Wed Aug 28 13:58:29 2024',
+        'DISTRIBUTION' => 'PMQS/Compress-Raw-Zlib-2.222.tar.gz',
+        'SYNCINFO'     => 'jkeenan on Wed Mar 11 21:59:54 2026',
         'FILES'    => q[cpan/Compress-Raw-Zlib],
         'EXCLUDED' => [
             qr{^examples/},
@@ -240,7 +240,8 @@ our %Modules = (
             qr{^t/meta},
             qw( t/000prereq.t
                 t/99pod.t
-                ),
+                SECURITY.md
+            ),
         ],
     },
 
@@ -249,9 +250,9 @@ our %Modules = (
         'SYNCINFO'     => 'jkeenan on Fri Jan 17 14:43:53 2025',
         'FILES'        => q[cpan/Config-Perl-V],
         'EXCLUDED'     => [qw(
-		examples/show-v.pl
-		SECURITY.md
-		)],
+            examples/show-v.pl
+            SECURITY.md
+        )],
     },
 
     'constant' => {
@@ -973,6 +974,11 @@ our %Modules = (
             qw{.ChangeLog.swp},
             qr{^\.github/}
         ],
+
+        'CUSTOMIZED'   => [
+	    # Customized by 6ea7dace3401e25dcf8318146be82c03e07a6a72
+	    'lib/Pod/Simple/HTMLLegacy.pm',
+	],
     },
 
     'Pod::Usage' => {
@@ -1312,6 +1318,9 @@ our %Modules = (
         # only necessary with the CPAN release.
         'CUSTOMIZED'   => [
             'lib/version.pm',
+
+            # Customized by ba04a9040af061424b6d6f0b1e888cd3ce4b3d9f
+            'vutil.c',
          ],
 
         'MAP' => {
Index: gnu/usr.bin/perl/Porting/config.sh
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/config.sh,v
diff -u -p -a -u -p -r1.20 config.sh
--- gnu/usr.bin/perl/Porting/config.sh	26 Dec 2025 22:14:13 -0000	1.20
+++ gnu/usr.bin/perl/Porting/config.sh	29 Mar 2026 16:31:42 -0000
@@ -45,8 +45,8 @@ api_subversion='0'
 api_version='42'
 api_versionstring='5.42.0'
 ar='ar'
-archlib='/pro/lib/perl5/5.42.0/x86_64-linux-thread-multi-quadmath'
-archlibexp='/pro/lib/perl5/5.42.0/x86_64-linux-thread-multi-quadmath'
+archlib='/pro/lib/perl5/5.42.2/x86_64-linux-thread-multi-quadmath'
+archlibexp='/pro/lib/perl5/5.42.2/x86_64-linux-thread-multi-quadmath'
 archname64=''
 archname='x86_64-linux-thread-multi-quadmath'
 archobjs=''
@@ -863,7 +863,7 @@ incpath=''
 incpth='/usr/lib64/gcc/x86_64-suse-linux/13/include /usr/local/include /usr/lib64/gcc/x86_64-suse-linux/13/include-fixed /usr/x86_64-suse-linux/include /usr/include'
 inews=''
 initialinstalllocation='/pro/bin'
-installarchlib='/pro/lib/perl5/5.42.0/x86_64-linux-thread-multi-quadmath'
+installarchlib='/pro/lib/perl5/5.42.2/x86_64-linux-thread-multi-quadmath'
 installbin='/pro/bin'
 installhtml1dir=''
 installhtml3dir=''
@@ -871,13 +871,13 @@ installman1dir='/pro/local/man/man1'
 installman3dir='/pro/local/man/man3'
 installprefix='/pro'
 installprefixexp='/pro'
-installprivlib='/pro/lib/perl5/5.42.0'
+installprivlib='/pro/lib/perl5/5.42.2'
 installscript='/pro/bin'
-installsitearch='/pro/lib/perl5/site_perl/5.42.0/x86_64-linux-thread-multi-quadmath'
+installsitearch='/pro/lib/perl5/site_perl/5.42.2/x86_64-linux-thread-multi-quadmath'
 installsitebin='/pro/bin'
 installsitehtml1dir=''
 installsitehtml3dir=''
-installsitelib='/pro/lib/perl5/site_perl/5.42.0'
+installsitelib='/pro/lib/perl5/site_perl/5.42.2'
 installsiteman1dir='/pro/local/man/man1'
 installsiteman3dir='/pro/local/man/man3'
 installsitescript='/pro/bin'
@@ -1005,7 +1005,7 @@ perl_static_inline='static __inline__'
 perl_thread_local='_Thread_local'
 perladmin='hmbrand@cpan.org'
 perllibs='-lpthread -ldl -lm -lcrypt -lutil -lc -lquadmath'
-perlpath='/pro/bin/perl5.42.0'
+perlpath='/pro/bin/perl5.42.2'
 pg='pg'
 phostname='hostname'
 pidtype='pid_t'
@@ -1014,8 +1014,8 @@ pmake=''
 pr=''
 prefix='/pro'
 prefixexp='/pro'
-privlib='/pro/lib/perl5/5.42.0'
-privlibexp='/pro/lib/perl5/5.42.0'
+privlib='/pro/lib/perl5/5.42.2'
+privlibexp='/pro/lib/perl5/5.42.2'
 procselfexe='"/proc/self/exe"'
 ptrsize='8'
 quadkind='2'
@@ -1080,17 +1080,17 @@ sig_num='0 1 2 3 4 5 6 7 8 9 10 11 12 13
 sig_num_init='0, 1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35, 36, 37, 38, 39, 40, 41, 42, 43, 44, 45, 46, 47, 48, 49, 50, 51, 52, 53, 54, 55, 56, 57, 58, 59, 60, 61, 62, 63, 64, 6, 17, 29, 0'
 sig_size='68'
 signal_t='void'
-sitearch='/pro/lib/perl5/site_perl/5.42.0/x86_64-linux-thread-multi-quadmath'
-sitearchexp='/pro/lib/perl5/site_perl/5.42.0/x86_64-linux-thread-multi-quadmath'
+sitearch='/pro/lib/perl5/site_perl/5.42.2/x86_64-linux-thread-multi-quadmath'
+sitearchexp='/pro/lib/perl5/site_perl/5.42.2/x86_64-linux-thread-multi-quadmath'
 sitebin='/pro/bin'
 sitebinexp='/pro/bin'
 sitehtml1dir=''
 sitehtml1direxp=''
 sitehtml3dir=''
 sitehtml3direxp=''
-sitelib='/pro/lib/perl5/site_perl/5.42.0'
+sitelib='/pro/lib/perl5/site_perl/5.42.2'
 sitelib_stem='/pro/lib/perl5/site_perl'
-sitelibexp='/pro/lib/perl5/site_perl/5.42.0'
+sitelibexp='/pro/lib/perl5/site_perl/5.42.2'
 siteman1dir='/pro/local/man/man1'
 siteman1direxp='/pro/local/man/man1'
 siteman3dir='/pro/local/man/man3'
@@ -1118,7 +1118,7 @@ st_dev_sign='1'
 st_dev_size='8'
 st_ino_sign='1'
 st_ino_size='8'
-startperl='#!/pro/bin/perl5.42.0'
+startperl='#!/pro/bin/perl5.42.2'
 startsh='#!/bin/sh'
 static_ext=' '
 stdchar='char'
@@ -1130,7 +1130,7 @@ stdio_ptr='((fp)->_ptr)'
 stdio_stream_array=''
 strerror_r_proto='REENTRANT_PROTO_B_IBW'
 submit=''
-subversion='0'
+subversion='2'
 sysman='/usr/share/man/man1'
 sysroot=''
 tail=''
@@ -1233,8 +1233,8 @@ vendorprefix=''
 vendorprefixexp=''
 vendorscript=''
 vendorscriptexp=''
-version='5.42.0'
-version_patchlevel_string='version 42 subversion 0'
+version='5.42.2'
+version_patchlevel_string='version 42 subversion 2'
 versiononly='define'
 vi=''
 xlibpth='/usr/lib/386 /lib/386 /usr/lib64/gcc/x86_64-suse-linux/13 /usr/lib64/gcc/x86_64-suse-linux/13/../../../../lib64 /usr/lib64/gcc/x86_64-suse-linux/13/../../..'
@@ -1245,7 +1245,7 @@ zcat=''
 zip='zip'
 PERL_REVISION=5
 PERL_VERSION=42
-PERL_SUBVERSION=0
+PERL_SUBVERSION=2
 PERL_API_REVISION=5
 PERL_API_VERSION=42
 PERL_API_SUBVERSION=0
Index: gnu/usr.bin/perl/Porting/config_H
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/config_H,v
diff -u -p -a -u -p -r1.32 config_H
--- gnu/usr.bin/perl/Porting/config_H	26 Dec 2025 22:14:13 -0000	1.32
+++ gnu/usr.bin/perl/Porting/config_H	29 Mar 2026 16:31:42 -0000
@@ -1239,8 +1239,8 @@
  *	This symbol contains the ~name expanded version of ARCHLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define ARCHLIB "/opt/perl/lib/5.42.0/x86_64-linux"		/**/
-#define ARCHLIB_EXP "/opt/perl/lib/5.42.0/x86_64-linux"		/**/
+#define ARCHLIB "/opt/perl/lib/5.42.2/x86_64-linux"		/**/
+#define ARCHLIB_EXP "/opt/perl/lib/5.42.2/x86_64-linux"		/**/
 
 /* BIN:
  *	This symbol holds the path of the bin directory where the package will
@@ -1293,8 +1293,8 @@
  *	This symbol contains the ~name expanded version of PRIVLIB, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define PRIVLIB "/opt/perl/lib/5.42.0"		/**/
-#define PRIVLIB_EXP "/opt/perl/lib/5.42.0"		/**/
+#define PRIVLIB "/opt/perl/lib/5.42.2"		/**/
+#define PRIVLIB_EXP "/opt/perl/lib/5.42.2"		/**/
 
 /* SITEARCH:
  *	This symbol contains the name of the private library for this package.
@@ -1311,8 +1311,8 @@
  *	This symbol contains the ~name expanded version of SITEARCH, to be used
  *	in programs that are not prepared to deal with ~ expansion at run-time.
  */
-#define SITEARCH "/opt/perl/lib/site_perl/5.42.0/x86_64-linux"		/**/
-#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.42.0/x86_64-linux"		/**/
+#define SITEARCH "/opt/perl/lib/site_perl/5.42.2/x86_64-linux"		/**/
+#define SITEARCH_EXP "/opt/perl/lib/site_perl/5.42.2/x86_64-linux"		/**/
 
 /* SITELIB:
  *	This symbol contains the name of the private library for this package.
@@ -1334,8 +1334,8 @@
  *	removed.  The elements in inc_version_list (inc_version_list.U) can
  *	be tacked onto this variable to generate a list of directories to search.
  */
-#define SITELIB "/opt/perl/lib/site_perl/5.42.0"		/**/
-#define SITELIB_EXP "/opt/perl/lib/site_perl/5.42.0"		/**/
+#define SITELIB "/opt/perl/lib/site_perl/5.42.2"		/**/
+#define SITELIB_EXP "/opt/perl/lib/site_perl/5.42.2"		/**/
 #define SITELIB_STEM "/opt/perl/lib/site_perl"		/**/
 
 /* PERL_VENDORARCH:
@@ -4109,7 +4109,7 @@
  *	script to make sure (one hopes) that it runs with perl and not
  *	some shell.
  */
-#define STARTPERL "#!/opt/perl/bin/perl5.42.0"		/**/
+#define STARTPERL "#!/opt/perl/bin/perl5.42.2"		/**/
 
 /* HAS_STDIO_STREAM_ARRAY:
  *	This symbol, if defined, tells that there is an array
Index: gnu/usr.bin/perl/Porting/epigraphs.pod
===================================================================
RCS file: /home/afresh1/OpenBSD-perl/OP/cvs/src/gnu/usr.bin/perl/Porting/epigraphs.pod,v
diff -u -p -a -u -p -r1.16 epigraphs.pod
--- gnu/usr.bin/perl/Porting/epigraphs.pod	26 Dec 2025 22:14:13 -0000	1.16
+++ gnu/usr.bin/perl/Porting/epigraphs.pod	29 Mar 2026 16:31:42 -0000
@@ -17,6 +17,121 @@ Consult your favorite dictionary for det
 
 =head1 EPIGRAPHS
 
+=head2 v5.43.9 - Mary Ann Evans (under pen name George Eliot), "Middlemarch", 1872
+
+L<Announced on 2026-03-20 by Eric Herman|https://www.nntp.perl.org/group/perl.perl5.porters/2026/03/msg270813.html>
+
+  "the growing good of the world is partly dependent on unhistoric acts;
+  and that things are not so ill with you and me as they might have been,
+  is half owing to the number who lived faithfully a hidden life"
+
+=head2 v5.43.8 - Raymond Chandler, "The Big Sleep"
+
+L<Announced on 2026-02-20 by Richard Leach|https://www.nntp.perl.org/group/perl.perl5.porters/2026/02/msg270752.html>
+
+  "Would you have a Ben Hur, 1860, Third Edition, the one with the
+  duplicated line on page 116?"
+
+=head2 v5.43.7 - Vajra Chandrasekera, "The Saint of Bright Doors"
+
+L<Announced on 2026-01-19 by Max Maischein|https://www.nntp.perl.org/group/perl.perl5.porters/2026/01/msg270646.html>
+
+"When this door translates", Pipra says, pointing at it. "This side will be
+either the front or the back of the bright door. If it's the back, the door
+will vanish - we want to know what that looks like. Does it pop out of
+existence? Does it make a noise? Is there a puff of air? A farting sound?
+
+=head2 v5.43.6 - Christopher Hitchens, "Mortality"
+
+L<Announced on 2025-12-20 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2025/12/msg270596.html>
+
+For me, to remember friendship is to recall those conversations that it
+seemed a sin to break off: the ones that made the sacrifice of the
+following day a trivial one.
+
+=head2 v5.43.5 - Jean Giono
+
+L<Announced on 2025-11-20 by Thibault Duponchelle|https://www.nntp.perl.org/group/perl.perl5.porters/2025/11/msg270513.html>
+
+He who despises himself will never be happy.
+
+=head2 v5.43.4 - Helen Keller 1903, quoting John Richard Green 1870
+
+L<Announced on 2025-10-23 by Eric Herman|https://www.nntp.perl.org/group/perl.perl5.porters/2025/10/msg270412.html>
+
+Green, the historian, tells us that the world is moved along, not only
+by the mighty shoves of its heroes, but also by the aggregate of the
+tiny pushes of each honest worker; and that thought alone suffices to
+guide me in this dark world and wide.
+
+=head2 v5.43.3 - Doc Brown, "Back to the Future"
+
+L<Announced on 2025-09-23 by Thibault Duponchelle|https://www.nntp.perl.org/group/perl.perl5.porters/2025/09/msg270333.html>
+
+  Where we're going, we don't need roads.
+
+=head2 v5.43.2 - David Weber, "On Basilisk Station"
+
+L<Announced on 2025-08-20 by Karen Etheridge|https://www.nntp.perl.org/group/perl.perl5.porters/2025/08/msg270238.html>
+
+  "The bigger the lie, apparently, the more likely the uninformed were to
+  accept it, simply because they couldn't believe any government would tell
+  such an absurd story unless it were true."
+
+=head2 v5.43.1 - Ed Conway, "Material World"
+
+L<Announced on 2025-07-20 by Richard Leach|https://www.nntp.perl.org/group/perl.perl5.porters/2025/07/msg270117.html>
+
+  The water from the brine is evaporated in enormous hot vessels,
+  which leave the salt about the same consistency as wet sand.
+  After a run through another oven, what emerges are glistening
+  pure crystals of salt. I run my hands through the grains as
+  they emerge, surprised for a moment by how hot they are to touch.
+    'This is ultra fine,' says Joe. 'It goes into Wotsits.'
+
+=head2 v5.42.2-RC1 - Edgar Allan Poe, "The Murders in the Rue Morgue" (in "Tales of Mystery and Imagination")
+
+L<Announced on 2026-03-22 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2026/03/msg270828.html>
+
+Whist has long been noted for its influence upon what is termed the
+calculating power; and men of the highest order of intellect have been
+known to take an apparently unaccountable delight in it, while eschewing
+chess as frivolous.  Beyond doubt there is nothing of a similar nature
+so greatly tasking the faculty of analysis.  The best chess player in
+Christendom may be little more than the best player of chess; but
+proficiency in whist implies capacity for success in all those more
+important undertakings where mind struggles with mind.
+
+=head2 v5.42.1 - Andrew Benedict, "The Wall-to-Wall Grave" (in "Alfred Hitchcock presents: Stories my mother never told me, Part One")
+
+L<Announced on 2026-03-08 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2026/03/msg270767.html>
+
+  'There are worse crimes than murder,' said the small man in the grey
+suit.  'And there are worse punishments than the electric chair.'
+[...]
+  'Civilization?' the little man questioned, as the bartender drew my
+beer.  'What is it, anyway? It's a carefully cultivated myth.  We are
+just savages living in upholstered caves.  Give any man sufficient
+provocation and the barbarian will emerge.'
+
+=head2 v5.42.1-RC1 - "Saki" (H. H. Munro), "Sredni Vashtar" (in "Alfred Hitchcock presents: 'Stories they wouldn't let me do on TV'")
+
+L<Announced on 2026-02-22 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2026/02/msg270754.html>
+
+In the shed that evening there was an innovation in the worship of the
+hutch-god.  Conradin had been wont to chant his praises, tonight he
+asked a boon.
+"Do one thing for me, Sredni Vashtar."
+The thing was not specified.  As Sredni Vashtar was a god he must be
+supposed to know.  And choking back a sob as he looked at the other
+empty corner Conradin went back to the world he so hated.
+
+=head2 v5.42.0 - Douglas Adams, "The Hitchhiker's Guide to the Galaxy"
+
+L<Announced on 2025-07-03 by Philippe Bruhat (BooK)|https://www.nntp.perl.org/group/perl.perl5.porters/2025/07/msg270067.html>
+
+  "Forty-two," said Deep Thought, with infinite majesty and calm.
+
 =head2 v5.42.0-RC3 - Bernard de Chartres
 
 L<Announced on 2025-07-01 by Thibault Duponchelle|https://www.nntp.perl.org/group/perl.perl5.porters/2025/07/msg270063.html>
@@ -152,6 +267,49 @@ L<Announced on 2024-07-02 by Philippe Br
   is essential to progress; for, if you know too much, you won't try
   the thing.
 
+=head2 v5.40.4-RC1 - Edgar Allan Poe, "The Fall of the House of Usher" (in "Tales of Mystery and Imagination")
+
+L<Announced on 2026-03-22 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2026/03/msg270827.html>
+
+To an anomalous species of terror I found him a bounden slave.  "I shall
+perish", said he, "I must perish in this deplorable folly.  Thus, thus,
+and not otherwise, shall I be lost.  I dread the events of the future,
+not in themselves, but in their results.  I shudder at the thought of
+any, even the most trivial, incident, which may operate upon this
+intolerable agitation of soul.  I have, indeed, no abhorrence of danger,
+except in its absolute effect--in terror.  In this unnerved, in this
+pitiable, condition I feel that the period will sooner or later arrive
+when I must abandon life and reason together, in some struggle with the
+grim phantasm, FEAR."
+
+=head2 v5.40.3 - J. M. Roberts, "The Penguin History of Europe"
+
+L<Announced on 2025-08-03 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2025/08/msg270153.html>
+
+The Portuguese were already fairly familiar with oceanic waters when
+Prince Henry began to mount a series of exploratory voyages in another
+direction. [...] Henry died in 1460, but by then his countrymen were
+ready to go on south.  In 1473 they crossed the Equator and in 1487
+reached the Cape of Good Hope.  Ahead lay the Indian Ocean; Arabs had
+long traded across it and pilots were available.  Beyond it lay even
+richer sources of spices.  In 1498 Vasco da Gama picked up an Omani
+pilot on the east African coast and set off for Asia.  In May he dropped
+anchor off Calicut, on the west coast of India.  For the first time,
+Asia was in direct sea-communication with Europe.
+
+=head2 v5.40.3-RC1 - J. M. Roberts, "The Penguin History of Europe"
+
+L<Announced on 2025-07-21 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2025/07/msg270122.html>
+
+In 1522, thirty years after Columbus' landfall in the Bahamas, another
+ship sailing west in the service of Spain completed the first voyage
+round the world.  It had set out under the command of a Portuguese,
+Magellan, who had got as far as the Philippines, where he was killed.
+By then he had discovered and sailed through the straits named after him
+and with this voyage and its demonstration that the great oceans were
+all interconnected, the prologue to the European age can be considered
+over.
+
 =head2 v5.40.2 - E. H. Gombrich, trans. Caroline Mustill, "A Little History of the World"
 
 L<Announced on 2025-04-13 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2025/04/msg269803.html>
@@ -327,6 +485,35 @@ counterparts across the Atlantic were bu
 in a Civil War, they embarked on the construction of the Metropolitan
 Line knowing only one thing for certain - there was no way they were
 going to be able to run steam trains through it.
+
+=head2 v5.38.5 - J. M. Roberts, "The Penguin History of Europe"
+
+L<Announced on 2025-08-03 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2025/08/msg270152.html>
+
+In 1495 the first map showing [Columbus's] discoveries appeared, with
+Cuba properly marked as an island and not (as Columbus had made his crew
+swear it was) part of the Asian mainland. [...] A further important step
+followed in 1502, when an Italian in a Portuguese vessel visiting the
+coast of what is now Brazil struck southward to sail as far as the
+river Plate.  Amerigo Vespucci's second voyage demonstrated conclusively
+that a whole continent lay to the south of the first great discoveries.
+Five years later a German geographer named the new continent in his
+honour - America - and the name was later applied to the northern
+continent, too.  Not until 1726, though, was it to be demonstrated for
+certain that it was not joined to Asia in the region of the Bering
+Straits.
+
+=head2 v5.38.5-RC1 - J. M. Roberts, "The Penguin History of Europe"
+
+L<Announced on 2025-07-21 by Steve Hay|https://www.nntp.perl.org/group/perl.perl5.porters/2025/07/msg270121.html>
+
+Columbus set sail in 1492 and after 69 days his three little ships made
+a landfall in the Bahamas.  A fortnight later he came to Cuba, which he
+named Hispaniola, before returning to Spain.  The following year he came
+back to explore the islands known ever since as the West Indies (whose
+name commemorates Columbus' tenacious belief that he had reached Asia).
+His confident leap in the dark had changed world history.  Without
+knowing it he had discovered a new world.
 
 =head2 v5.38.4 - E. H. Gombrich, trans. Caroline Mustill, "A Little History of the World"
 
